## org.eclipse.datatools.connectivity.oda.design
Interface SortSpecification

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SortSpecification

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Sort Specification'. Specification of zero or more sort keys. An empty collection explicitly indicates that the result set has no sort keys defined.

The following features are supported:

- `Sort Keys`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getSortSpecification()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`org.eclipse.emf.common.util.EList<SortKey>` `getSortKeys()` Returns the value of the 'Sort Keys' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSortKeys

    org.eclipse.emf.common.util.EList<SortKey> getSortKeys()

  Returns the value of the 'Sort Keys' containment reference list. The list contents are of type `SortKey`.

  If the meaning of the 'Sort Keys' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sort Keys' containment reference list.
  See Also:
    `DesignPackage.getSortSpecification_SortKeys()`